Bug 467157 - (arping) Review Request: arping - ping by ARP
Review Request: arping - ping by ARP
Status: CLOSED DUPLICATE of bug 477971
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 239470 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 00:23 EDT by Itamar Reis Peixoto
Modified: 2009-05-22 13:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 13:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2008-10-16 00:23:21 EDT
Spec URL: http://ispbrasil.com.br/arping/arping.spec
SRPM URL: http://ispbrasil.com.br/arping/arping-2.08-1.fc9.src.rpm

Description:

Arping is a util to find out it a specific IP address on the LAN is
'taken' and what MAC address owns it. Sure, you *could* just use
'ping' to find out if it's taken and even if the computer blocks ping
(and everything else) you still get an entry in your ARP cache. But
what if you aren't on a routable net? Or the host blocks ping (all
ICMP even)? Then you're screwed. Or you use arping.
Comment 1 Bill Nottingham 2008-10-16 10:15:57 EDT
We already ship this as part of iputils. What is the difference in this version?
Comment 2 Patrice Dumas 2008-10-16 10:29:08 EDT
*** Bug 239470 has been marked as a duplicate of this bug. ***
Comment 3 Patrice Dumas 2008-10-16 10:30:26 EDT
Looking at the previous submission, it seems that this arping has advantages over th eone in iputils.
Comment 4 Bill Nottingham 2008-10-16 11:28:53 EDT
What features, and why aren't they in upstream arping? (For something this simple, excessive redundancy seems bad.)
Comment 5 Itamar Reis Peixoto 2008-10-16 14:27:11 EDT
for me there are no reason for duplicate, since the arping from iputils do the same thing.
Comment 6 Patrice Dumas 2008-10-16 15:09:24 EDT
(In reply to comment #5)
> for me there are no reason for duplicate, since the arping from iputils do the
> same thing.

No problem, just close the bug. Manuel in the other submission said that
there were interesting features, but if he wants it he can submit it ;-)
Comment 7 manuel wolfshant 2008-10-17 06:39:03 EDT
The main difference [that was interesting for me] is that this version allows arpinging based on MAC address. Unfortunately it does work only under some very specific conditions which made me give up in using it. Or in other words, I lost interest in it. It does not provide anything that I do not already have in nmap.
Comment 8 Jason Tibbitts 2008-10-17 12:52:45 EDT
So should this be closed now?  Honestly the only thing I've ever needed arping for is to ping directly to a MAC address (for debugging weird single-segment-multiple-subnet routing problems) so I guess I can see the utility, but the package can't be accepted as long as it conflicts with iputils.
Comment 9 Patrice Dumas 2008-10-17 13:06:58 EDT
in the other review it was renamed arping-ng. Anyway since there is
nobody willing to submit this package, this should just be closed.
Comment 10 Mamoru TASAKA 2008-12-26 12:50:16 EST

*** This bug has been marked as a duplicate of bug 477971 ***

Note You need to log in before you can comment on or make changes to this bug.